<?php 

class DoormanBotscout {

	private $api_key;
	private $mail;

	/**
	 * Set API key if entered in settings
	 *
	 * @since 0.2
	 * 
	 * @param string $apikey API key as sent by http://botscout.com
	 * 
	 * @return string    API key
	 */
	function set_apikey($apikey) {
		$this->apikey = $apikey;
	}
	
	/**
	 * Set mail address to be checked
	 * 
	 * @since 0.2
	 * 
	 * @param string $xmail mail address to be checked
	 * 
	 * @return string    mail address to be checked
	 */
	function set_xmail($mail) {
		$this->xmail = urlencode($mail);
	}
	
	/**
	 * Query botscout.com for mail address
	 * 
	 * @since 0.2
	 * 
	 * @param string $query complete query
	 * 
	 */
	function query_botscout($query) {
		return wp_remote_get($query);
	}
	
	/**
	 * Check mail address on botscout.com
	 *
	 * @since 0.2
	 * 
	 * @return boolean    TRUE, if address is found, otherwise FALSE
	 */
	function check_mail() {
		$test_string = "http://botscout.com/test/?mail=$this->xmail";
		if (isset($this->apikey))
			$test_string .= '&key=' . $this->apikey;
		return $this->query_botscout($test_string);
	}
	
} //class


?> 